story9/urls.py
from django.conf.urls import url, include
from django.urls import path

from . import views
urlpatterns = [
    url(r'^$', views.home, name='home'),
    path('login/',views.loginPage, name='login'),
    path('logout/',views.logoutUser, name='logout'),
    path('register/',views.registerPage, name='register'),
]

wahibadiyatma/urls.py
from django.contrib import admin
from django.urls import path
from django.conf.urls import url, include

from . import views
urlpatterns = [
    path('admin/', admin.site.urls),
    url(r'^work/', include(('work.urls', 'work'),namespace='work')),
    url(r'^college/', include(('college.urls','college'),namespace='college')),
    url(r'^$', views.index, name='index'),
    path('meetme/', include(('meetme.urls', 'meetme'), namespace ='meetme')),
    path('searchBooks/', include(('searchBooks.urls', 'searchBooks'), namespace ='searchBooks')),
    path('story9/', include(('story9.urls', 'story9'), namespace ='story9')),
]

work/urls.py
from django.conf.urls import url, include

from . import views
urlpatterns = [
    url(r'^$', views.index)
]

story9/models.py
from django.db import models

# Create your models here.

story9/forms.py
from django.contrib.auth.forms import UserCreationForm
from django.contrib.auth.models import User

class CreateUserForm(UserCreationForm):
    class Meta:
        model = User
        fields = ['username','email','password1','password2']

story9/views.py
from django.shortcuts import render, redirect
from django.contrib.auth import authenticate, login, logout
from django.contrib.auth.forms import UserCreationForm
from .forms import CreateUserForm
from django.contrib import messages




def home(request):
	context = {
		'judul' : 'GetToKnow Wahib',
	}
	return render(request,'story9/index.html', context)

def loginPage(request):
 
    if request.user.is_authenticated:
        return redirect('story9:home')

    else:
        if request.method == "POST":
        	username_user = request.POST.get('username')
        	password_user = request.POST.get('password')
        	user = authenticate(request, username=username_user, password=password_user)
        	if user is not None:
        		login(request, user)
        		return redirect('story9:home')
        	else:
        		messages.info(request, 'Nama atau passoword yang anda masukkan salah')
    return render(request,'story9/login.html')

def logoutUser(request):
    logout(request)
    return redirect('story9:home')

def registerPage(request):
    if request.user.is_authenticated:
        return redirect('story9:home')

    else:    
        form = CreateUserForm()
        if request.method =="POST":
            form = CreateUserForm(request.POST)
            if form.is_valid():
                form.save()
                user = form.cleaned_data.get('username')
                messages.success(request, "Akun " + user + " berhasil dibuat")
                return redirect('story9:login')

    context = {'form':form}
    return render(request, 'story9/register.html', context)

story9/templates/story9/base.html
{% load static %}
<!DOCTYPE html>
<html>
<head>
	<title>{{judul}}</title>
	{% block app_head %}
		<link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.5.3/dist/css/bootstrap.min.css">
		<script src="https://code.jquery.com/jquery-3.5.1.min.js" integrity="sha256-9/aliU8dGd2tb6OSsuzixeV4y/faTqgFtohetphbbj0=" crossorigin="anonymous"></script>
		<link rel="stylesheet" type="text/css" href="{% static "searchBooks/css/style.css" %}">
	{% endblock app_head %}

</head>
<body>
	{% include "story9/snippets/navbar.html" %}

	{% block content %}
		


	{% endblock content %}




	{% block app_js %}
		<script type="text/javascript" src="{% static "story9/js/script.js" %}" ></script>	
	{% endblock app_js %}


	{% include "story9/snippets/footer.html" %}
</body>
</html>

story9/templates/story9/index.html
{% extends "story9/base.html" %}

{% block content %}
<div class="d-flex flex-column bd-highlight mb-3">
  <div class="p-2 bd-highlight d-flex justify-content-center">
  	{% if user.is_authenticated %}
  	<div class="text-center mt-5">
	  <h4>Hi, Welcome {{user}} ! <br> <br> Click Logout Button below. </h4>		
	<div class="text-center">
	  <a class="btn btn-primary btn-md mt-3" href="{% url 'story9:logout' %}" button>Logout</a>
	</div>
	</div>

	

	{% else %}
	<div class="text-center mt-5">
	  <h4>Halo, Welcome to this site! <br> <br> Click Login or Register Button Below. </h4>		
	  <a class="btn btn-primary btn-md mt-4" href="{% url 'story9:login' %}" button>Login</a>
	  <a class="btn btn-primary btn-md mt-4" href="{% url 'story9:register' %}" button>Daftar</a>
	</div>
  </div>



</div>
{% endif %}

{% endblock content %}

story9/templates/story9/login.html
{% extends "story9/base.html" %}

{% block content %}
	
<section class="login">
<div class="d-flex flex-column">
  <div class="p-2 d-flex justify-content-center mt-5">
	<form method="POST">
	{% csrf_token %}
	  <div class="form-group">
	    <label for="username ">Username</label>
	    <input type="text" class="form-control" name="username" id="username" aria-describedby="username" placeholder="Enter username">
	  </div>
	  <div class="form-group">
	    <label for="passowrd">Password</label>
	    <input type="password" name="password" class="form-control" id="password" placeholder="Password">
	  </div>
	  <button type="submit" class="btn btn-primary">Submit</button>
	{% for message in messages %}
		<p id="messages"> {{message}} </p>
	{% endfor %}
	  <div class="mt-4">
		<div class="d-flex justify-content-center links">
			Belum memiliki akun? <a href="{% url 'story9:register' %}" class="ml-2">Daftar</a>
		</div>
	</div>
	</form>
  </div>
</div>

</section>



{% endblock content %}

story9/templates/story9/register.html
{% extends "story9/base.html" %}
{% block content %}
<head>
	<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
	<link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.6.1/css/all.css">
</head>
<section class="register" style="margin-top: 100px;">
<div class="container h-100">
		<div class="d-flex justify-content-center h-100">
			<div class="user_card">
				<div class="d-flex justify-content-center">
					<h3 id="form-title">Daftarkan Akun</h3>
				</div>
				<div class="d-flex justify-content-center form_container">

					<form method="POST" action="">
                        {% csrf_token %}
						<div class="input-group mb-3">
							<div class="input-group-append">
								<span class="input-group-text"><i class="fas fa-user"></i></span>
							</div>
							{{form.username}}
						</div>
						<div class="input-group mb-2">
							<div class="input-group-append">
								<span class="input-group-text"><i class="fas fa-envelope-square"></i></span>
							</div>
							{{form.email}}
						</div>
						<div class="input-group mb-2">
							<div class="input-group-append">
								<span class="input-group-text"><i class="fas fa-key"></i></span>
							</div>
							{{form.password1}}
						</div>
						<div class="input-group mb-2">
							<div class="input-group-append">
								<span class="input-group-text"><i class="fas fa-key"></i></span>
							</div>
							{{form.password2}}
						</div>

				   		<div class="d-flex justify-content-center mt-3 login_container">
				 			<input class="btn btn-primary" type="submit" value="Daftarkan Akun">
				   		</div>
					</form>
                </div>
                
                {{form.errors}}
                
				<div class="mt-4">
					<div class="d-flex justify-content-center links">
						Sudah memiliki akun? <a href="{% url 'story9:login' %}" class="ml-2">Masuk</a>
					</div>
				</div>
			</div>
		</div>
	</div>
</section>
	

	<script>
		var form_fields = document.getElementsByTagName('input')
		form_fields[1].placeholder='Nama..';
		form_fields[2].placeholder='Email..';
		form_fields[3].placeholder='Ketik Password...';
		form_fields[4].placeholder='Ketik Ulang Password...';

		for (var field in form_fields){	
			form_fields[field].className += ' form-control'
		}
	</script>

{% endblock content %}